# API.Direction

Package org.firstinspires.ftc.teamcode

## Enum API.Direction

- java.lang.Object
- - java.lang.Enum<API.Direction>
  - - org.firstinspires.ftc.teamcode.API.Direction

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<API.Direction>`

Enclosing class:
  API

    public static enum API.Direction
    extends java.lang.Enum<API.Direction>

### Enum Constant Summary

Enum Constants
`FORWARD`
`REVERSE`

### Method Summary

All Methods Static Methods Concrete Methods
`static API.Direction` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static API.Direction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FORWARD

    public static final API.Direction FORWARD

#### REVERSE

    public static final API.Direction REVERSE

### Method Detail

#### values

    public static API.Direction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (API.Direction c : API.Direction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static API.Direction valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null